FIX::MessageStoreFactoryExceptionWrapper Class Reference

`#include <MessageStore.h>`

Collaboration diagram for FIX::MessageStoreFactoryExceptionWrapper:
[legend]

## Public Member Functions

| MessageStoreFactoryExceptionWrapper (MessageStoreFactory *pFactory)
MessageStore * | create (const SessionID &, bool &, ConfigError &)
void | destroy (MessageStore *)

## Private Attributes

MessageStoreFactory * | m_pFactory

## Detailed Description

Definition at line 138 of file MessageStore.h.

## Constructor & Destructor Documentation

## MessageStoreFactoryExceptionWrapper()

FIX::MessageStoreFactoryExceptionWrapper::MessageStoreFactoryExceptionWrapper | ( | MessageStoreFactory * | pFactory | ) |

inline

Definition at line 143 of file MessageStore.h.

: m_pFactory( pFactory ) {}
FIX::MessageStoreFactoryExceptionWrapper::m_pFactory
MessageStoreFactory * m_pFactory
Definition MessageStore.h:141

## Member Function Documentation

## create()

MessageStore * FIX::MessageStoreFactoryExceptionWrapper::create | ( | const SessionID & | sessionID,
|  | bool & | threw,
|  | ConfigError & | ex
| ) |  |

Definition at line 57 of file MessageStore.cpp.

{
threw = false;
try { return m_pFactory->create( sessionID ); }
catch ( ConfigError & e ) { threw = true; ex = e; return 0; }
}
FIX::MessageStoreFactory::create
virtual MessageStore * create(const SessionID &)=0

References FIX::MessageStoreFactory::create(), and m_pFactory.

## destroy()

void FIX::MessageStoreFactoryExceptionWrapper::destroy | ( | MessageStore * | pStore | ) |

Definition at line 64 of file MessageStore.cpp.

{
m_pFactory->destroy( pStore );
}
FIX::MessageStoreFactory::destroy
virtual void destroy(MessageStore *)=0

References FIX::MessageStoreFactory::destroy(), and m_pFactory.

## Member Data Documentation

## m_pFactory

MessageStoreFactory* FIX::MessageStoreFactoryExceptionWrapper::m_pFactory

private

Definition at line 141 of file MessageStore.h.

Referenced by create(), and destroy().

The documentation for this class was generated from the following files:

- MessageStore.h
- MessageStore.cpp